Show / Hide Table of Contents

# Class HoveredAction

This class represents the hotbar action currently hovered over by the cursor.

##### Inheritance

System.Object
HoveredAction

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public class HoveredAction

### Properties

| Improve this Doc View Source

#### ActionID

Gets or sets the action ID accounting for automatic upgrades.

##### Declaration

    public uint ActionID { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ActionKind

Gets or sets the type of action.

##### Declaration

    public HoverActionKind ActionKind { get; set; }

##### Property Value

Type | Description
--- | ---
HoverActionKind |

| Improve this Doc View Source

#### BaseActionID

Gets or sets the base action ID.

##### Declaration

    public uint BaseActionID { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |